org.codehaus.groovy.runtime

## Class GroovyCategorySupport.ThreadCategoryInfo

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,GroovyCategorySupport.CategoryMethodList>
    - - org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,GroovyCategorySupport.CategoryMethodList>

Enclosing class:
  GroovyCategorySupport

    public static class GroovyCategorySupport.ThreadCategoryInfo
    extends HashMap<String,GroovyCategorySupport.CategoryMethodList>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GroovyCategorySupport.ThreadCategoryInfo()`

### Method Summary

Methods
`GroovyCategorySupport.CategoryMethodList` `getCategoryMethods(String name)`
`Object` `use(List<Class> categoryClasses, Closure closure)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### GroovyCategorySupport.ThreadCategoryInfo

    public GroovyCategorySupport.ThreadCategoryInfo()

### Method Detail

#### use

    public Object use(List<Class> categoryClasses,
             Closure closure)

#### getCategoryMethods

    public GroovyCategorySupport.CategoryMethodList getCategoryMethods(String name)